Delete closing document

The Delete closing document method is used for deleting information about a closing document of an account of the current reseller or any of its downstream resellers.

DELETE {{base_url}}/api/v3/resellers/{{reseller_id}}/accounts/{{account_id}}/external_invoices/{{external_invoice_id}}

Authentication

This endpoint requires a JWT access token. Specify the token in the Authorization header using the Bearer authentication scheme:

Authorization: Bearer <JWT_ACCESS_TOKEN>

In Postman, select Bearer Token on the Authorization tab and enter the JWT access token.

Arguments

Name

Parameter Type

Data type

Required/Optional

Description

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

number

Required

ID of the current reseller or any of its downstream resellers (see Viewing and updating reseller general information)

account_id

path

number

Required

Account ID

external_invoice_id

path

number

Required

Closing document ID in the platform

Response model

If no errors are encountered, the method returns information about the closing document except for file (see the response model in Get closing document).

Request example

XML
DELETE /api/v3/resellers/1/accounts/505/external_invoices/277
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
Authorization: Bearer <JWT_ACCESS_TOKEN>
Accept: application/vnd.api+json

Response example

JSON
{
    "data": {
        "id": "277",
        "type": "external_invoices",
        "attributes": {
            "created_at": "2022-08-29T10:30:35.541209+0000",
            "updated_at": "2022-08-29T11:04:44.315677+0000",
            "type": "invoice",
            "key": "0493e78a-e8ef-11e9-81b4-2a2ae2dbcce4",
            "name": "Invoice ext",
            "start_date": "2019-11-01",
            "end_date": "2019-11-30",
            "amount": {
                "currency": "EUR",
                "total": "123.45"
            }
        }
    }
}